# Uses of Class
org.eclipse.gef.common.collections.MultisetChangeListener.Change

Packages that use MultisetChangeListener.Change
Package
Description
org.eclipse.gef.common.beans.binding
This package augments the JavaFX binding API by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.beans.property
This package augments the property API of JavaFX by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of MultisetChangeListener.Change in org.eclipse.gef.common.beans.binding

Methods in org.eclipse.gef.common.beans.binding with parameters of type MultisetChangeListener.Change
Modifier and Type
Method
Description
`protected void`
MultisetBinding.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MultisetChangeListeners`.
`void`
MultisetExpressionHelper.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`
Fires notifications to all attached `InvalidationListeners`, and `MultisetChangeListeners`.

## Uses of MultisetChangeListener.Change in org.eclipse.gef.common.beans.property

Methods in org.eclipse.gef.common.beans.property with parameters of type MultisetChangeListener.Change
Modifier and Type
Method
Description
`protected void`
MultisetPropertyBase.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MultisetChangeListeners`.
`protected void`
ReadOnlyMultisetPropertyBase.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MultisetChangeListeners`.
`protected void`
ReadOnlyMultisetWrapper.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`

## Uses of MultisetChangeListener.Change in org.eclipse.gef.common.collections

Subclasses of MultisetChangeListener.Change in org.eclipse.gef.common.collections
Modifier and Type
Class
Description
`static class`
`MultisetListenerHelper.AtomicChange<E>`
A simple implementation of an `MultisetChangeListener.Change`.
Methods in org.eclipse.gef.common.collections with parameters of type MultisetChangeListener.Change
Modifier and Type
Method
Description
`void`
MultisetListenerHelper.`fireValueChangedEvent(MultisetChangeListener.Change<? extends E> change)`
Notifies all attached `InvalidationListener`s and `MultisetChangeListener`s about the change.
`protected void`
MultisetListenerHelper.`notifyMultisetChangeListeners(MultisetChangeListener.Change<? extends E> change)`
Notifies the attached `MultisetChangeListener`s about the related change.
`void`
MultisetChangeListener.`onChanged(MultisetChangeListener.Change<? extends E> change)`
Called after an atomic change has been made to an `ObservableMultiset`.
Constructors in org.eclipse.gef.common.collections with parameters of type MultisetChangeListener.Change
Modifier
Constructor
Description
``
`AtomicChange(ObservableMultiset<E> source, MultisetChangeListener.Change<? extends E> change)`
Creates a new `MultisetListenerHelper.AtomicChange` for the passed in source, based on the data provided in the passed-in change.